package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class JadwalRencanaPemeriksaanVO extends BaseMasterVO{
	
	@ManyToOne
	@Caption(value="Pegawai")
	private PegawaiVO pegawai;

//	@Column(name = "ObjectPegawaiFk", insertable=false,updatable=false,nullable=false)
//	private Integer pegawaiId;
	
	@Column(name="pemeriksaan")
	@Caption(value="Pemeriksaan")
	private String pemeriksaan;
	
	@Column(name="tglPemeriksaan")
	@Caption(value="Tanggal Pemeriksaan")
	private Date tglPemeriksaan;

	public PegawaiVO getPegawai() {
		return pegawai;
	}

	public void setPegawai(PegawaiVO pegawai) {
		this.pegawai = pegawai;
	}
	
//	public Integer getPegawaiId() {
//		return pegawaiId;
//	}
//
//	public void setPegawaiId(Integer pegawaiId) {
//		this.pegawaiId = pegawaiId;
//	}

	public String getPemeriksaan() {
		return pemeriksaan;
	}

	public void setPemeriksaan(String pemeriksaan) {
		this.pemeriksaan = pemeriksaan;
	}

	public Date getTglPemeriksaan() {
		return tglPemeriksaan;
	}

	public void setTglPemeriksaan(Date tglPemeriksaan) {
		this.tglPemeriksaan = tglPemeriksaan;
	}
	
	
}
